#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.14
visibility:           public
id:                   stm-hamt-1.2.0.14-GjEPjGwylDtDppD5KZhvdY
key:                  stm-hamt-1.2.0.14-GjEPjGwylDtDppD5KZhvdY
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by the
    <http://hackage.haskell.org/package/stm-containers stm-containers>.

category:             Data Structures, STM, Concurrency
abi:                  d4a5c616f59265480b0eb458ac984a5b
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.14
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.14-GjEPjGwylDtDppD5KZhvdY
depends:
    base-4.15.1.0 deferred-folds-0.9.18.6-BAdT3R2KeTYJXQZ4rrtCjd
    focus-1.0.3.2-D5SPk4UVGx2F1Z82JrAdwZ
    hashable-1.4.3.0-JNIl3QAmQdVCUYfpxV7wfJ
    list-t-1.0.5.4-DMPTpOPo8YeJrKNQddDZJa
    primitive-0.7.4.0-3MecjX0EG9nEyOtRD6f3ja
    primitive-extras-0.10.1.10-6CZA0eXNfAGBK7quMADx5f
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

